wait.h File Reference
`#include <core/posix/exit.h>`
`#include <core/posix/signal.h>`
`#include <core/posix/visibility.h>`
`#include <bitset>`
`#include <cstdint>`
`#include <sys/wait.h>`
Include dependency graph for wait.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | core::posix::wait::Result
| The Result struct encapsulates the result of waiting for a process state change. More...

## Namespaces

| core
| core::posix
| core::posix::wait

## Enumerations

enum | core::posix::wait::Flags : std::uint8_t { core::posix::wait::Flags::continued = WCONTINUED, core::posix::wait::Flags::untraced = WUNTRACED, core::posix::wait::Flags::no_hang = WNOHANG }
| Flags enumerates different behavior when waiting for a child process to change state. More...

## Functions

CORE_POSIX_DLL_PUBLIC Flags | core::posix::wait::operator| (Flags l, Flags r)